Subject: [ipfix] RE: WG Action: RECHARTER: IP Flow Information Export (ipfix)

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Thu, 29 Jun 2006 07:33:14 +0300

I was expecting for the announcement to go out with the 4th paragraph
including the improved text, and not with the old text and the comment. 

Can you please make the change on the WG charter page: 

OLD: 

Out of scope are modifications to the core IPFIX and PSAMP protocol
specifications. In scope is the definition of new IPFIX and PSAMP
information elements.

NEW: 

Modifications to the core IPFIX and PSAMP protocol specifications is out
of scope for this charter. However, the definition of new IPFIX and
PSAMP information elements is within the scope of this charter.

Also, please replace the name of Dave Plonka <[email-masked]> with
Juergen Quittek <[email-masked]> on the WG Chairs line. 

Thanks and Regards,

Dan

> -----Original Message-----
> From: IESG Secretary [mailto:[email-masked]] 
> Sent: Wednesday, June 28, 2006 10:50 PM
> To: [email-masked]
> Cc: Nevil Brownlee; Dave Plonka; [email-masked]
> Subject: WG Action: RECHARTER: IP Flow Information Export (ipfix) 
> 
> The charter of the IP Flow Information Export (ipfix) working 
> group in the Operations and Management Area of the IETF has 
> been updated. For additional information, please contact the 
> Area Directors or the working group Chairs.
> 
> COMMENT
> 
> Better wording for 4th paragraph:
> 
> "Modifications to the core IPFIX and PSAMP protocol 
> specifications is out of scope for this charter. However, the 
> definition of new IPFIX and PSAMP information elements is 
> within the scope of this charter."
> 
> No need to change the meeting minutes, I believe. 
> 
> Thanks and Regards,
> 
> Dan
> 
> +++
> 
> IP Flow Information Export (ipfix)
> ===================================
> 
> Current Status: Active Working Group
> 
> Chair(s):
> Nevil Brownlee <[email-masked]> Dave Plonka 
> <[email-masked]> 
> 
> 
> Operations and Management Area Director(s):
> Dan Romascanu <[email-masked]> 
> David Kessens <[email-masked]> 
> 
> Operations and Management Area Advisor:
> Dan Romascanu <[email-masked]> 
> 
> Mailing Lists:
> General Discussion: [email-masked]
> To Subscribe: [email-masked]
> In Body: subscribe ipfix
> Archive: http://ipfix.doit.wisc.edu/archive/
> 
> Description of Working Group:
> 
> The IPFIX working group has specified the Information Model 
> (to describe
> IP flows) and the IPFIX protocol (to transfer IP flow data from IPFIX
> exporters to collectors). The PSAMP working group has specified the
> usage of the IPFIX protocol for exporting packet records. With both
> specifications available, several implementers have started building
> applications using the IPFIX protocol.
> 
> At two interoperability testing events, several IPFIX protocol
> implementations were tested. The experiences made at these events were
> fed back to IPFIX protocol specification, particularly for removing
> ambiguities. In addition, several lessons were learned about how to
> implement and use IPFIX correctly and efficiently. The exchange among
> different implementers further led to new ideas for advanced usage of
> IPFIX. Many of these ideas are currently documented in individual
> Internet drafts.
> 
> The goal of the IPFIX working group is now to produce 'best current
> practice' and 'guideline' documents concerning implementation,
> application and usage of the IPFIX protocol.
> 
> Out of scope are modifications to the core IPFIX and PSAMP protocol
> specifications. In scope is the definition of new IPFIX and PSAMP
> information elements.
> 
> Specific Goals
> 
> o Develop guidelines for implementers based on experiences
> gained individually by implementers and jointly at interoperability
> testing events. The guidelines will give recommendations for
> integrating IPFIX observation points, metering processes,
> exporting processes and collecting processes into the packet flow
> at different kinds of IPFIX devices. They will make suggestions for
> efficient implementation of the IPFIX protocol features and identify
> parts of the IPFIX specification that have already been misunderstood
> by several implementors. For some implementation choices that the
> protocol specification leaves to the implementer, the guidelines will
> discuss advantages and disadvantages of the different choices.
> Several recent individual drafts call for new Information Elements;
> The implementation guidelines will explain procedures for requesting,
> reviewing and approving new IEs.
> Deliverables:
> 1. IPFIX Implementation Guidelines draft, to be an Informational RFC
> (6 months)
> 2. IPFIX Testing draft, to be an Informational RFC (6 months)
> 
> o Develop methods and means for an efficient use of the IPFIX
> protocol by reducing redundancy in flow reports. The basic idea
> to be followed is very simple. For multiple flow records that all
> report the same value in one or more of the contained IPFIX
> information elements, those values are removed from the flow
> records and instead reported once for all in a separate record.
> Such an approach integrates very well with the IPFIX protocol and
> only needs a few simple methods for expressing the relationship
> between flow records and corresponding separate records.
> Deliverable:
> 3. IPFIX Reducing Redundancy, to be an Informational RFC (6 months)
> 
> o Create an IPFIX MIB, for reporting information and statistics
> of IPFIX metering, exporting and collecing processes. Much of this
> work has already been done by the PSAMP working group, and by
> individuals working on IPFIX collectors. Deliverable:
> 4. IPFIX MIB, to be a Standards Track RFC (12 months)
> 
> o Develop an effective method for exporting information about
> bidirectional flows ('biflows'). The IP security community has
> expressed a strong need to collect data on bidrectional flows.
> A recent individual draft discusses several different ways to
> support biflows in IPFIX - this work will produce a single,
> best-practice method for handling them, without requiring changes
> to the IPFIX protocol.
> Deliverable:
> 5. IPFIX Biflow draft, to be an Informational RFC (12 months)
> 
> Milestones:
> 
> August 06 Publish Internet Draft on IPFIX Implementation Guidelines
> 
> August 06 Publish Internet Draft on IPFIX Testing
> 
> August 06 Publish Internet Draft on Reducing Redundancy in IPFIX 
> data transfer
> 
> August 06 Publish Internet Draft on IPFIX MIB
> 
> August 06 Publish Internet Draft on Handling IPFIX Bidirectional
> Flows
> 
> 
> November 06 Submit IPFIX Implementation Guidelines draft to IESG for
> publication as Informational RFC
> 
> November 06 Submit IPFIX Testing draft to IESG for
> publication as Informational RFC
> 
> November 06 Submit IPFIX Reducing Redundancy draft to IESG for
> publication as Informational RFC
> 
> March 07 Submit IPFIX Biflows draft to IESG for
> publication as Informational RFC
> 
> 
> March 07 Submit IPFIX MIB draft to IESG for
> publication as Standards track RFC
> 
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf-announce
> 

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/